#pragma once

#include "finder.h"
#include "word_list.h"

class ParallelFinder : public Finder {
private:
  const WordList &word_list_;

public:
  ParallelFinder(const WordList &word_list);

  WordRefList find_prefix(std::string_view search_prefix) const override;
};
